Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class ParameterImpl

    java.lang.Object
      xjavadoc.AbstractType
          xjavadoc.ParameterImpl

All Implemented Interfaces:
  Named, Type, XParameter

public final class ParameterImpl
extends AbstractType
implements XParameter

This is a flyweight implementation of XParameter

Version:
  $Revision: 1.18 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com), Aslak Hellesøy

Field Summary
`static int` | `instanceCount`

Constructor Summary
`ParameterImpl()`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getDescription()` Gets the description of this parameter.
`int` | `getDimension()` Returns the dimension as an int
`String` | `getDimensionAsString()` Returns the dimension as a String, "", "[]", "[][]" etc.
`String` | `getName()` Get name
`XTag` | `getParamTag()` Gets the param tag for this parameter.
`XClass` | `getType()` Returns the class describing the type of this parameter.
`(package private) void` | `setState(AbstractExecutableMember containingExecutableMember, int parameterIndex)` Sets the extrinsic flyweight state.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instanceCount

    public static int instanceCount

Constructor Detail

### ParameterImpl

    public ParameterImpl()

Method Detail

### getName

    public final String getName()

  Description copied from interface: `Named`
  Get name

  Specified by:
    `getName` in interface `Named`
  Returns:
    name

### getType

    public final XClass getType()

  Returns the class describing the type of this parameter.

  Specified by:
    `getType` in interface `Type`
  Returns:

### getDimension

    public final int getDimension()

  Description copied from interface: `Type`
  Returns the dimension as an int

  Specified by:
    `getDimension` in interface `Type`
  Returns:
    dimension as an int

### getParamTag

    public XTag getParamTag()

  Description copied from interface: `XParameter`
  Gets the param tag for this parameter.

  Specified by:
    `getParamTag` in interface `XParameter`
  Returns:
    the param tag for this parameter, or null if none is specified.

### getDescription

    public String getDescription()

  Description copied from interface: `XParameter`
  Gets the description of this parameter. This is the text in the param tag preceding the first token.

  Specified by:
    `getDescription` in interface `XParameter`
  Returns:
    the description of this parameter, or null if there is no corresponding param tag.

### getDimensionAsString

    public String getDimensionAsString()

  Description copied from interface: `Type`
  Returns the dimension as a String, "", "[]", "[][]" etc.

  Specified by:
    `getDimensionAsString` in interface `Type`
  Returns:
    dimension as a String

### toString

    public final String toString()

### setState

    final void setState(AbstractExecutableMember containingExecutableMember,
                        int parameterIndex)

  Sets the extrinsic flyweight state.

  Parameters:
    `containingExecutableMember` - The containing member
    `parameterIndex` -

### equals

    public boolean equals(Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.